apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  namespace: "ub-digitale-dienste"
  name: "rdv-viewer-test-ingress"
  labels:
    app: "rdv-viewer"
    environment: "test"
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  tls:
    - hosts:
        - "africa-test-viewer.ub-digitale-dienste.k8s-001.unibas.ch"
      secretName: "africa-test-viewer.ub-digitale-dienste.k8s-001.unibas.ch-tls"
  rules:
  - host: "africa-test-viewer.ub-digitale-dienste.k8s-001.unibas.ch"
    http:
      paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: "rdv-viewer-test-service"
              port:
                number: 80
